RubyInstaller-3.1.0-1 发布了!

此版本提供了一系列新功能与新改进。 查看Ruby-3.1.0官方发布通告获取详情。

RubyInstaller-3.1.0-x64更换了一个C-runtime,即使用UCRT来替换旧的MSVCRT.

这个现代C运行时环境带来了与C标准以及与使用Visual Studio编译的库之间更好的兼容性。

查看功能请求这里。 这里有几个平台的字符串问题随着本次新发布而改变。

尤其是,现在的Ruby和Gem的Platform已经从x64-mingw32更换为x64-mingw-ucrt, 并且MSYS2包前缀现在也变为mingw-w64-ucrt-x86_64-

RubyInstaller的Devkit现在打包了基于UCRT的MINGW包。

ridk install可以被用于安装这些包到MSYS2一个之前的或共享的位置。

这里有一些随之而来而问题,比如无缝地与Github Actions集成和与UCRT相关的跨平台编译

请注意,一些Gems现在仍然与Windows上的Ruby-3.1不兼容。 这种情况下,你应当停留在3.0, 直到3.1被很好的支持。

一个之前的RubyInstaller-3.0.x或2.7.x安装不应当被通过将RubyInstaller-3.0.x安装同一目录下直接更新。这是因为一些带有C语言扩展的gem在ruby-3.0和3.1之间并不兼容。最好像我们提议的,使用新的目录来存放3.1.x

所有安装程序都放在了下载区域!